import { EventEmitter, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { TooltipDirective } from '../tooltip/tooltip.directive';
import { CommentModel } from './models/comment.model';
import * as i0 from "@angular/core";
export declare class CommentComponent implements OnInit {
    private formBuilder;
    comment: CommentModel;
    response: EventEmitter<any>;
    tooltip: TooltipDirective;
    responseForm: FormGroup;
    isExpanded: boolean;
    onResponse: boolean;
    titleError: boolean;
    contentError: boolean;
    constructor(formBuilder: FormBuilder);
    expandHandler(): void;
    responseHandler(): void;
    submitHandler(): void;
    hoistHandler(data: any): void;
    nullTarget(event: Event): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CommentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CommentComponent, "aeb-comment", never, { "comment": { "alias": "comment"; "required": false; }; }, { "response": "response"; }, never, never, false, never>;
}
