import * as i0 from "@angular/core";
export declare class DatepickerUtilsService {
    static weekLocal: string[];
    static monthsLocal: string[];
    genWeek(week: Date, month: Date, count: number): Date[];
    genMonth(date: Date): Date[][];
    addMonths(date: Date, count: number): Date;
    subMonths(date: Date, count: number): Date;
    genYears(min: Date, max: Date): number[];
    addYears(date: Date, count: number): Date;
    subYears(date: Date, count: number): Date;
    yearsDiff(a: Date, b: Date): number;
    startOfYear(date: Date): Date;
    isToday(date: Date): boolean;
    isSameDay(dateLeft: Date, dateRight: Date): boolean;
    getMonth(date: Date): number;
    getYear(date: Date): number;
    setMonth(month: number, year: number): Date;
    isMinOverlap(minDate: Date, date: Date): boolean;
    isMaxOverlap(maxDate: Date, date: Date): boolean;
    parseDate(date: string): Date;
    formatDate(date: Date): string;
    dayLimit(month: number, year: number): number;
    excludedMonths(day: number, year: number): number[];
    validYear(day: number, month: number, year: number): boolean;
    validDate(day: string, month: string, year: string, limit: [Date, Date]): boolean;
    fillMask(date: string): string[];
    validInput(term: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatepickerUtilsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DatepickerUtilsService>;
}
