import { ElementRef } from '@angular/core';
import { NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class FormFieldDirective {
    ngControl: NgControl;
    private elementRef;
    get isDisabled(): true;
    isFocused: boolean;
    hasValue: boolean;
    _value: string;
    constructor(ngControl: NgControl, elementRef: ElementRef);
    get value(): string;
    set value(value: string);
    change(value: string): void;
    focus(): void;
    blur(): void;
    private get hostClasses();
    disable(): void;
    enable(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormFieldDirective, [{ optional: true; self: true; }, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FormFieldDirective, "input[aebInput], textarea[aebTextarea]", never, { "value": { "alias": "value"; "required": false; }; }, {}, never, never, false, never>;
}
