import { EventEmitter, OnInit } from '@angular/core';
import { ButtonVariant } from '../button/button.component';
import * as i0 from "@angular/core";
export interface ControlsConfigurationModel {
    text?: string;
    variant?: ButtonVariant;
    warning?: boolean;
    hidden?: boolean;
    disabled?: boolean;
}
export declare class ModalComponent implements OnInit {
    isOpen: boolean;
    size: 'S' | 'M' | 'L' | 'auto';
    controlsConfig: {
        leftBtn?: ControlsConfigurationModel;
        rightBtn?: ControlsConfigurationModel;
        closeBtn?: {
            hidden: ControlsConfigurationModel['hidden'];
        };
    };
    leftBtnClick: EventEmitter<any>;
    rightBtnClick: EventEmitter<any>;
    closeBtnClick: EventEmitter<any>;
    constructor();
    open(): void;
    close(): void;
    onCancelClick(): void;
    onSubmitClick(): void;
    onCloseClick(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalComponent, "aeb-modal", never, { "isOpen": { "alias": "isOpen"; "required": false; }; "size": { "alias": "size"; "required": false; }; "controlsConfig": { "alias": "controlsConfig"; "required": false; }; }, { "leftBtnClick": "leftBtnClick"; "rightBtnClick": "rightBtnClick"; "closeBtnClick": "closeBtnClick"; }, never, ["*"], false, never>;
}
