import { EventEmitter } from '@angular/core';
import { NotificationID, NotificationModel } from './notification/notification.component';
import * as i0 from "@angular/core";
export type Orientation = 'topLeft' | 'topRight' | 'bottomLeft' | 'bottomRight';
export declare class NotificationsComponent {
    notifications: NotificationModel[];
    notificationsPosition: Orientation;
    notificationClick: EventEmitter<NotificationID>;
    notificationClose: EventEmitter<NotificationID>;
    private notificationContainer;
    private orientations;
    get orientation(): string;
    handleItemClick(id: NotificationID): void;
    handleItemClose(id: NotificationID): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationsComponent, "aeb-notifications", never, { "notifications": { "alias": "notifications"; "required": false; }; "notificationsPosition": { "alias": "notificationsPosition"; "required": false; }; }, { "notificationClick": "notificationClick"; "notificationClose": "notificationClose"; }, never, never, false, never>;
}
