import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export type option = {
    value: string;
    description: string;
    image: string;
};
export declare class SearchComponent {
    inputChange: EventEmitter<string>;
    withoutBg: boolean;
    placeholder: string;
    examples: string[];
    options: option[];
    value: string;
    onShowOptions: boolean;
    inputHandler(term: Event): void;
    selectHandler(term: string): void;
    blurHandler(): void;
    focusHandler(): void;
    clearInput(): void;
    inputExample(term: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchComponent, "aeb-search", never, { "withoutBg": { "alias": "withoutBg"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "examples": { "alias": "examples"; "required": false; }; "options": { "alias": "options"; "required": false; }; }, { "inputChange": "inputChange"; }, never, never, false, never>;
}
