import { AfterContentInit, EventEmitter, QueryList } from '@angular/core';
import { StepperStepComponent } from './stepper-step.component';
import * as i0 from "@angular/core";
export declare class StepperComponent implements AfterContentInit {
    stepperSteps: QueryList<StepperStepComponent>;
    stepChanged: EventEmitter<StepperStepComponent>;
    isDisabled?: boolean;
    steps: StepperStepComponent[];
    get activeStepIndex(): number;
    get completedSteps(): StepperStepComponent[];
    get hasNextStep(): boolean;
    get hasPrevStep(): boolean;
    get activeStep(): StepperStepComponent;
    set activeStep(step: StepperStepComponent);
    ngAfterContentInit(): void;
    goToNextStep(): void;
    goToPrevStep(): void;
    goToFirstStep(): void;
    onCompleteStep(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StepperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StepperComponent, "aeb-stepper", never, { "isDisabled": { "alias": "isDisabled"; "required": false; }; }, { "stepChanged": "stepChanged"; }, ["stepperSteps"], ["*"], false, never>;
}
