import { EventEmitter } from '@angular/core';
import { DatepickerUtilsService } from '../services/datepicker-utils.service';
import * as i0 from "@angular/core";
/**
 * Компонента для отображения панели со списком дней
 */
export declare class DatepickerMonthComponent {
    private utils;
    month: any;
    setDate: EventEmitter<Date>;
    date: Date;
    minDate: Date;
    maxDate: Date;
    excludedDates: Date[];
    week: string[];
    constructor(utils: DatepickerUtilsService);
    isToday(date: Date): boolean;
    emitDate(date: Date): void;
    sameDate(date: Date): boolean;
    isExcluded(date: Date): boolean;
    isDisabled(date: Date): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatepickerMonthComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatepickerMonthComponent, "aeb-datepicker-month", never, { "month": { "alias": "month"; "required": false; }; "date": { "alias": "date"; "required": false; }; "minDate": { "alias": "minDate"; "required": false; }; "maxDate": { "alias": "maxDate"; "required": false; }; "excludedDates": { "alias": "excludedDates"; "required": false; }; }, { "setDate": "setDate"; }, never, never, false, never>;
}
