import { ElementRef, EventEmitter } from '@angular/core';
import { Subject } from 'rxjs';
import { ButtonIconSource } from '../../../button/button.component';
import { FileAttach } from '../../file-attach.namespace';
import * as i0 from "@angular/core";
export declare class AttachButtonComponent {
    fileInputRef: ElementRef<HTMLInputElement>;
    attachButtonText: string;
    attachButtonIcon: ButtonIconSource;
    multi: boolean;
    filesAmount: number;
    showErrorMessage: boolean;
    showErrorMessageText: Subject<string>;
    requirement: FileAttach.Requirement;
    fileChoosen: EventEmitter<FileList>;
    buttonClick: EventEmitter<void>;
    fileListCleared: EventEmitter<FileList>;
    private get hostClasses();
    chooseFile(event: Event): void;
    onButtonClick(): void;
    clearFileList(): void;
    getCaseByNumber(word: string[]): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AttachButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AttachButtonComponent, "aeb-attach-button", never, { "attachButtonText": { "alias": "attachButtonText"; "required": false; }; "attachButtonIcon": { "alias": "attachButtonIcon"; "required": false; }; "multi": { "alias": "multi"; "required": false; }; "filesAmount": { "alias": "filesAmount"; "required": false; }; "showErrorMessage": { "alias": "showErrorMessage"; "required": false; }; "showErrorMessageText": { "alias": "showErrorMessageText"; "required": false; }; "requirement": { "alias": "requirement"; "required": false; }; }, { "fileChoosen": "fileChoosen"; "buttonClick": "buttonClick"; "fileListCleared": "fileListCleared"; }, never, never, false, never>;
}
