import { FormFieldDirective } from './directives/form-field.directive';
import * as i0 from "@angular/core";
export declare class FormFieldComponent {
    formField: FormFieldDirective;
    class: string;
    isInvalid: boolean;
    showIcon: boolean;
    showErrorMessage: boolean;
    validateOnDirty: boolean;
    private _isDisabled;
    set disabled(value: boolean);
    get disabled(): boolean;
    get focused(): boolean;
    get hasValue(): boolean;
    get error(): boolean;
    get isDisabled(): boolean;
    get hasIcon(): boolean;
    get isFocused(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormFieldComponent, "aeb-form-field", never, { "isInvalid": { "alias": "isInvalid"; "required": false; }; "showIcon": { "alias": "showIcon"; "required": false; }; "showErrorMessage": { "alias": "showErrorMessage"; "required": false; }; "validateOnDirty": { "alias": "validateOnDirty"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, ["formField"], ["*", "[aebLabel]", "[aebIcon]", "[errorMessage]"], false, never>;
}
