import { ElementRef } from '@angular/core';
import { vertices } from '../tooltip/tooltip.directive';
import { PopUpComponent } from './pop-up.component';
import * as i0 from "@angular/core";
export declare class PopUpDirective {
    private el;
    header: string;
    position: 'top' | 'left' | 'right' | 'bottom';
    popUpContent: PopUpComponent;
    /**
     * @ignore
     * Compodoc преобразует объект в строку, поэтому тэгом ignore
     * говорим ему пропускать это свойство
     */
    popUpConfig: vertices;
    constructor(el: ElementRef);
    onClick(event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopUpDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PopUpDirective, "[aebPopUp]", never, { "header": { "alias": "header"; "required": false; }; "position": { "alias": "position"; "required": false; }; }, {}, ["popUpContent"], never, false, never>;
}
