import { EventEmitter } from '@angular/core';
import { ColumnDataModel, DataTableTypeModel, RowActionWithDataModel } from './table.model';
import * as i0 from "@angular/core";
export declare class TableComponent<T extends ColumnDataModel = ColumnDataModel> {
    tableConfig: DataTableTypeModel<T>;
    tableContent: ColumnDataModel[];
    action: EventEmitter<RowActionWithDataModel>;
    onRowActionClicked(actionType: string, id: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableComponent<any>, "aeb-table", never, { "tableConfig": { "alias": "tableConfig"; "required": false; }; "tableContent": { "alias": "tableContent"; "required": false; }; }, { "action": "action"; }, never, never, false, never>;
}
