import { AfterViewInit, ElementRef, EventEmitter, OnChanges, QueryList, SimpleChanges } from '@angular/core';
import { TabDirective } from './tab.directive';
import * as i0 from "@angular/core";
export declare class TabsComponent implements AfterViewInit, OnChanges {
    tabs: QueryList<TabDirective>;
    templateTabs: QueryList<ElementRef>;
    thumb: ElementRef<HTMLDivElement>;
    container: ElementRef<HTMLDivElement>;
    compactMode: boolean;
    collapsed: boolean;
    tab: number;
    tabChange: EventEmitter<string>;
    currentTab: TabDirective;
    constructor();
    redrawThumb(): void;
    tabHandler(e: Event, tab: TabDirective): void;
    moveThumb(tab: HTMLDivElement): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private switchTab;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabsComponent, "aeb-tabs", never, { "compactMode": { "alias": "compactMode"; "required": false; }; "collapsed": { "alias": "collapsed"; "required": false; }; "tab": { "alias": "tab"; "required": false; }; }, { "tabChange": "tabChange"; }, ["tabs"], never, false, never>;
}
